services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  NL\NlAiImageMeta\Service\AIImageMetaService:
    public: true
    arguments:
      - '@TYPO3\CMS\Core\Database\ConnectionPool'
    
  NL\NlAiImageMeta\Command\GenerateAltTagsCommand:
    public: true
    tags:
      - name: 'console.command'
        command: 'nl:aiimagemeta:generatealttags'
        description: 'Generate alt tags for images'

  NL\NlAiImageMeta\:
    resource: '../Classes/*'
    exclude: '../Classes/Command'

  NL\NlAiImageMeta\Controller\AiImageMetaModuleController:
    tags: [ 'backend.controller' ]